# Update a track

> For the complete documentation index, see [llms.txt](https://developer.rippling.com/llms.txt). Every page is available as Markdown by adding .md to its URL.

> Update a specific track.

Source: https://developer.rippling.com/documentation/rest-api/reference/update-tracks

`PATCH https://rest.ripplingapis.com/tracks/{id}/`

Update a specific track.

- OAuth scopes: `tracks.read-write`
- Requires: API_Tier_1

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string, id | Yes | ID of the resource to patch |

## Request body (`application/json`)

- `name` (string): The name of the track. Must be unique within the company or organization.
- `order` (integer): The one-based horizontal display order of the track.

## Responses

### 200: Successful response

- `id` (string, required): Identifier field
- `created_at` (string, required): Record creation date
- `updated_at` (string, required): Record update date
- `name` (string, required): The name of the track. Must be unique within the company or organization.
- `is_default` (boolean): Whether this is the company's default track.
- `order` (integer): The one-based horizontal display order of the track.
- `start_global_level` (integer): The highest global level occupied by this track. Empty tracks return null.
